# org.pdfclown.documents.contents.objects.ModifyClipPath Class Reference

Clipping path operation [PDF:1.6:4.4.2]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.ModifyClipPath:

List of all members.

## Public Member Functions
override void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Member Functions
static Operation | Get (string operator_, IList< PdfDirectObject > operands)
| Gets an operation.
## Public Attributes
const string | EvenOddOperatorKeyword = "W*"
const string | NonZeroOperatorKeyword = "W"
## Static Public Attributes
static readonly ModifyClipPath | EvenOdd = new ModifyClipPath(EvenOddOperatorKeyword, WindModeEnum.EvenOdd)
| 'Modify the current clipping path by intersecting it with the current path, using the even-odd rule to determine which regions lie inside the clipping path' operation.
static readonly ModifyClipPath | NonZero = new ModifyClipPath(NonZeroOperatorKeyword, WindModeEnum.NonZero)
| 'Modify the current clipping path by intersecting it with the current path, using the nonzero winding number rule to determine which regions lie inside the clipping path' operation.
## Protected Attributes
IList< PdfDirectObject > | operands
string | operator_
## Properties
WindModeEnum | ClipMode`[get]`
| Gets the clipping rule.
IList< PdfDirectObject > | Operands`[get]`
string | Operator`[get]`

##

Clipping path operation [PDF:1.6:4.4.2].

## Member Function Documentation

static Operation org.pdfclown.documents.contents.objects.Operation.Get | ( | string | operator_,
|  | IList< PdfDirectObject > | operands |
| ) |  |  | `[static, inherited]`

Gets an operation.

Parameters:

  | operator_ | Operator.
  | operands | List of operands.

override void org.pdfclown.documents.contents.objects.ModifyClipPath.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented from org.pdfclown.documents.contents.objects.ContentObject.

References org.pdfclown.documents.contents.ContentScanner.RenderContext, and org.pdfclown.documents.contents.ContentScanner.RenderObject.

override string org.pdfclown.documents.contents.objects.Operation.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Operation.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual, inherited]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Implements org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImageBody.

References org.pdfclown.objects.PdfObjectWrapper.File, and org.pdfclown.bytes.IOutputStream.Write().

Referenced by org.pdfclown.documents.contents.objects.MarkedContent.WriteTo().

## Member Data Documentation

readonly ModifyClipPath org.pdfclown.documents.contents.objects.ModifyClipPath.EvenOdd = new ModifyClipPath(EvenOddOperatorKeyword, WindModeEnum.EvenOdd)`[static]`

'Modify the current clipping path by intersecting it with the current path, using the even-odd rule to determine which regions lie inside the clipping path' operation.

const string org.pdfclown.documents.contents.objects.ModifyClipPath.EvenOddOperatorKeyword = "W*"

readonly ModifyClipPath org.pdfclown.documents.contents.objects.ModifyClipPath.NonZero = new ModifyClipPath(NonZeroOperatorKeyword, WindModeEnum.NonZero)`[static]`

'Modify the current clipping path by intersecting it with the current path, using the nonzero winding number rule to determine which regions lie inside the clipping path' operation.

const string org.pdfclown.documents.contents.objects.ModifyClipPath.NonZeroOperatorKeyword = "W"

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.operands`[protected, inherited]`

string org.pdfclown.documents.contents.objects.Operation.operator_`[protected, inherited]`

## Property Documentation

WindModeEnum org.pdfclown.documents.contents.objects.ModifyClipPath.ClipMode`[get]`

Gets the clipping rule.

IList<PdfDirectObject> org.pdfclown.documents.contents.objects.Operation.Operands`[get, inherited]`

string org.pdfclown.documents.contents.objects.Operation.Operator`[get, inherited]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.